Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006391OCaml~DO NOT USE (was: OCaml general)public2014-05-03 15:382016-12-07 14:51
Reportergasche 
Assigned Todoligez 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0006391: [github patch] short functor type syntax (S -> T) in the non-dependent case
Descriptionhttps://github.com/ocaml/ocaml/pull/42 [^]

Add support for simple functor types of the form:

    S -> T

equivalent to:

    functor (_ : S) -> T

The `S` and `T` can be any module type expressions.

While not actually ambiguous there is a potential shift-reduce conflict related to with constraints:

    S with type t = int -> float

vs

    S with type t = int -> T

This is resolved in favour of the first one (shift), meaning that the second type must be written:

    (S with type t = int) -> T
Tagsgithub, patch
Attached Files

- Relationships

-  Notes
(0016714)
shinwell (developer)
2016-12-07 14:50

This has been merged
(0016715)
shinwell (developer)
2016-12-07 14:51

Merged in 4.03

- Issue History
Date Modified Username Field Change
2014-05-03 15:38 gasche New Issue
2014-05-03 15:39 gasche Tag Attached: github
2014-05-03 15:39 gasche Tag Attached: patch
2014-06-04 21:24 doligez Assigned To => doligez
2014-06-04 21:24 doligez Status new => acknowledged
2016-12-07 14:50 shinwell Note Added: 0016714
2016-12-07 14:51 shinwell Note Added: 0016715
2016-12-07 14:51 shinwell Status acknowledged => closed
2016-12-07 14:51 shinwell Resolution open => fixed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker